<?php

include('../includes/hlava.php');
title('Klub priateľov fotografie', '../');

if ($link) {
  if ($db_selected) {
  
include('../includes/vedla.php');
odkaz('../');
include('../includes/menu.php');
menu('klub', '../');
?>             
               
            <ul class="menu pmenu">
              <li><a href="index.php" title="o klube">Úvod</a></li>
              <li><a href="clanky.php" class="aktual" title="články kpf">Články</a></li>
          
<?php
if (!(isset($_SESSION['login']) && ($_SESSION['login'] != ""))) :
// pouzivatel sa musi prihlasit, treba zobrazit prihlasovaci formular
?>
<?
else :
// pouzivatel je prihlaseny
    ?>
              <li class="medzera">&nbsp;</li>
              <li><a href="vloz.php" title="vloženie článku">Vložiť článok</a></li>
    
<?php
endif; // kontrola SESSION
        	
?>                    
          
            </ul>
          
        <div class="obsah">   
          
<?php

		  $zobraz = false;
		  
  		if (isset($_GET['id']) && $_GET['id'] > '0') {
		  
  		if (isset($_POST['submit'])) {
  		  $size = getimagesize($_FILES['foto']['tmp_name']);
  			if (($size[0]<801) && ($size[1]<801) && isset($_FILES['foto']) && ($_FILES['foto']['size'] < 153600)) {
        $nazov = 'xxx'; 
      	if (isset($_FILES['foto'])) :
      	  if ($_FILES['foto']['error'] == UPLOAD_ERR_OK) {
      			if (is_uploaded_file($_FILES['foto']['tmp_name'])) {
      				$nazov = $_FILES['foto']['name'];
      			}
      		} elseif ($_FILES['foto']['error'] != UPLOAD_ERR_NO_FILE) { 
               echo '<p style="color: #FF0000;">Foto NEbolo prenesené, nastal problém pri uploadovaní súboru. Chyba č. ' . $_FILES['obr']['error'] . '</p>';
      	   	  $zobraz_formular = true;
          }
      	endif;

        if ($nazov !== 'xxx') {
              $sql = "INSERT INTO kpf_clanky_photos (cfid,aid,cid,kde) VALUES (NULL, '". $_SESSION["aid"] . "', '". $_GET["id"] ."', '".$nazov."');";
           		$result = mysql_query($sql, $link);
           		if ($result) {
                echo '<p><strong>Fotografia bola odoslaná.</strong></p>';
                      
          		} else {
        				echo '<p style="color: #FF0000;">Fotografia NEbola odoslaná, nastal problém pri zápise do databázy - ' . mysql_errno($link) . ': ' . mysql_error($link) . '</p>';                
              }
              $cislo = mysql_insert_id();
              if ($_GET['id'] < '10')
      			  $nazov = '0'.$_GET['id'] . '-' . $cislo . '-' . $_SESSION['aid'] . '.jpg';
      			  else $nazov = '0'.$_GET['id'] . '-' . $cislo . '-' . $_SESSION['aid'] . '.jpg';
      			  
                $size=getimagesize($_FILES['foto']['tmp_name']);
      			  
      			    $pomer = $size[0] / $size[1];
                $new_height = '100';
                $new_width = '100'*$pomer;
                
                /* vytvorenie cieľového a zdrojového obrázku */
                $im = imagecreatetruecolor($new_width,$new_height);
                $res_im=imagecreatefromjpeg($_FILES['foto']['tmp_name']);
                /* kopírovanie oblasti do cieľového obázku */
                imagecopyresampled($im,$res_im,0,0,0,0,$new_width+1,$new_height+1,$size[0],$size[1]);
                /* zrušenie zdrojového obrázku */
                imagedestroy($res_im);                
                /* výstup náhľadu do suboru */
                imagejpeg($im, './../photos/clanky/small/'.$nazov, 70);      			  
      			  
      				move_uploaded_file($_FILES['foto']['tmp_name'], './../photos/clanky/' . $nazov);
      				$sql = "UPDATE kpf_clanky_photos SET kde='".$nazov."' WHERE cfid=$cislo;";
           		$result = mysql_query($sql, $link);	
           		if ($result) {
                header("Location: clanok.php?id=".$_GET['id']);
                
              } else {
                   echo '<p style="color: #FF0000;">Fotografia sa už vo fotogalérii nachádza.</p>';                
              }
        }
      } else {
        //neboli zadane vsetky potrebne udaje 
        if (isset($_POST["titul"]) && ($_POST["titul"] == "") OR isset($_POST["kategoria"]) && ($_POST["kategoria"] == "NULL")){
        echo '<p style="color: #FF0000;">Nezadali ste súbor s fotografiou alebo jej popis.</p>';
        }
        else {
        echo '<p style="color: #FF0000;">Bud ste nevlozili fotku, alebo nesplna kriteria.</p>';
        }
        $zobraz_formular = true;
      }
      } else {
        if (($_SESSION['aid'] == 0) && ($poslane == true)){
        $zobraz = false;
        }
        else {
        $zobraz = true;
        }
      }
      
      if ($zobraz) : 
          $poslane = false;?>    
          <h2>Vložiť <em>fotku</em> "do <em>fóra"</em></h2>
                  
              <p>Maximalna velkost <strong>800x800</strong> pixelov.<br/>
              Subor musi byt vo formate <strong>JPG</strong>.<br/>
              Nesmie byt vacsi ako <strong>150kb</strong>.</p>
              <form class="login" action="<?php echo $_SERVER['REQUEST_URI'] ?>" method="post" enctype="multipart/form-data">
                <p class="form">
                <em class="bold">* Súbor</em> <input type="file" name="foto" size="35"/><input type="hidden" name="MAX_FILE_SIZE" value="1" />
                  <em class="bold"></em></p>
                <input class="ok" name="submit" type="submit" id="submit" value="vložiť"/>
              </form>
              
              
      <?php
        else :
        if ($_SESSION['aid'] == 0){
      ?>
      <h2>Treba <em>sa</em> prihlásiť</h2>
      
      <?php
      }
      endif; // kontrola SESSION
      } else echo '<p>vloz ID.</p>';        
        		} // end vyber db
        		mysql_close($link);
        	} // end spojenie s db

include('../includes/pata.php');
      ?>
